
body {
  font-family: 'Noto Sans JP', sans-serif;
}


span {
 float: right;
}

h1 {
 float: right;
 padding-right: 20px;
}

img {
width: 100%;
object-fit: contain;
}

a:link {
    font-family: 'Cabin', sans-serif;
    color: #3090C7; 
    text-decoration: none;
    font-size: 16px;
}

a:visited {
    font-family: 'Cabin', sans-serif;
    color: #56c5db;
    text-decoration: none;
    font-size: 16px;
}

a:hover {
    font-family: 'Cabin', sans-serif;
    color: #818181;
    text-decoration: none;
    font-size: 16px;
}


.sidebar {
  height: 100%;
  width: 0;
  position: fixed;
  z-index: 1;
  top: 0;
  left: 0;
  background-color: white;
  overflow-x: hidden;
  transition: 0.5s;
  padding-top: 60px;
}

.sidebar a {
  padding: 8px 8px 8px 32px;
  text-decoration: none;
  font-size: 25px;
  color: #818181;
  display: block;
  transition: 0.3s;
}

.sidebar a:hover {
  color: #3090C7;
}

.sidebar .closebtn {
  position: absolute;
  top: 0;
  right: 25px;
  font-size: 36px;
  margin-left: 50px;
}

.openbtn {
  font-size: 20px;
  cursor: pointer;
  background-color: white;
  color: #3090C7; 
  padding: 10px 15px;
  border: none;
}

.openbtn:hover {
  background-color: black;
}

#navi {
  transition: margin-left .5s;
  padding: 16px;
  float: left;
}

#header_gap {
  padding-top: 50px;
  display: flex;
  flex-wrap: wrap;
}

#space {
  padding-top: 5px;
  display: flex;
  flex-wrap: wrap;
}

#main {
  padding-top: 100px;
  display: flex;
  flex-wrap: wrap;
}

/* The hero image */
.hero-image {
  /* Use "linear-gradient" to add a darken background effect to the image (photographer.jpg). This will make the text easier to read */
  background-image: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url("portpics/P_G/1.jpg");

  /* Set a specific height */
  height: 50%;
  padding-bottom: 50px;

  /* Position and center the image to scale nicely on all screens */
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  position: relative;
}

/* Place text in the middle of the image */
.hero-text {
  text-align: center;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  color: white;
}

.descriptor {
  max-width: 1366px;
  margin: 0 auto;
  align-items:center;
  justify-content:center;
  display: flex;
  flex-wrap: wrap;
  padding-left: 50px;
  padding-right: 50px;
}

.centered {
  display: block;
  margin-left: auto;
  margin-right: auto;
  padding-top: 20px;
  padding-bottom: 10px;
}

.container {
  max-width: 1366px;
  margin: 0 auto;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: space-evenly;
  align-items: center;
}

.item-1 {
  order: 1;
  margin: 5px;
  padding-right: 50px;
  padding-left: 50px;
  max-width: 550px;
}

.item-2 {
  order: 2;
  margin: 5px;
  padding-right: 50px;
  padding-left: 50px;
  max-width: 550px;
}

.footer {
  left: 0;
  bottom: 0;
  width: 100%;
  background-color: black;
  color: white;
  text-align: left;
}

.footer li a {
  text-decoration: none;
  color: white;
}

.footer li a:hover {
  color: #3090C7;
}

.bottom-span {
  padding-left: 30px;
  width: 100%;
  position: relative;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
}


/* relevant styles */
.image-links {
  padding-left: 5px;
  position: relative;
}

/* Child Text Container */
.image-links div{
 position: absolute;
 bottom: 0;
 background: black;
 color: white;
 margin-bottom: 5px;
 font-family: sans-serif;
 opacity: 0;
 visibility: hidden;
 -webkit-transition: visibility 0s, opacity 0.5s linear;
 transition: visibility 0s, opacity 0.5s linear;
}

/* Hover on Parent Container */
.image-links:hover{
 cursor: pointer;
}

.image-links:hover div{
 width: 75px;
 padding: 8px 15px;
 visibility: visible;
 opacity: 0.7;
}

.wide-box{
  margin: 5px;
  max-width: 600px;
}

.narrow-box{
  margin: 5px;
  max-width: 300px;
}
